std::auto_ptr::release(3)

NAME
std::auto_ptr::release - std::auto_ptr::release

Synopsis
   T* release() throw(); (deprecated in C++11)
                        (removed in C++17)
   Releases the held pointer. After the call *this holds the null pointer.

Parameters
   (none)

Return value
   get().

See also
   reset replaces the managed object
         (public member function)